Bug 1248080 - Review Request: perl-Text-Levenshtein-Damerau-XS - XS Damerau Levenshtein edit distance
Review Request: perl-Text-Levenshtein-Damerau-XS - XS Damerau Levenshtein edi...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 10:40 EDT by Jitka Plesnikova
Modified: 2015-08-11 04:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-11 04:02:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2015-07-29 10:40:13 EDT
Spec URL: https://jplesnik.fedorapeople.org/perl-Text-Levenshtein-Damerau-XS/perl-Text-Levenshtein-Damerau-XS.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Text-Levenshtein-Damerau-XS/perl-Text-Levenshtein-Damerau-XS-3.0-1.fc24.src.rpm
Description:
Returns the true Damerau Levenshtein edit distance of strings with adjacent
transpositions. XS implementation (requires a C compiler). Works correctly
with utf8.

Fedora Account System Username: jplesnik@redhat.com
Comment 1 Petr Šabata 2015-07-29 11:17:03 EDT
Consider changing the description; it makes the impression the end user needs a C compiler to use this module.  Maybe something like the following would work better?

  "This is an XS implementation of the true Damerau Levenshtein edit
   distance algorithm."

No other issues.

No blockers, approving.
Comment 2 Jitka Plesnikova 2015-07-30 02:58:47 EDT
New Package SCM Request
=======================
Package Name: perl-Text-Levenshtein-Damerau-XS
Short Description: XS Damerau Levenshtein edit distance
Upstream URL: http://search.cpan.org/dist/Text-Levenshtein-Damerau-XS/
Owners: jplesnik ppisar psabata
Branches:
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2015-07-30 14:26:33 EDT
Git done (by process-git-requests).
Comment 4 Jitka Plesnikova 2015-08-11 04:02:56 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.